<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Activity</title>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body class="text-center">
	<h2>Creating Elements Between Two Spaces</h2>
			<div class="bg-dark flex-row d-flex flex-lg-row justify-content-around p-3 bd-highlight flex-lg-row flex-column flex-sm-column flex-md-row align-items center-justify content-around">
				<div class="py-5 px-5 p-3 bg-success">Card A</div>
				<div class="py-5 px-5 p-3 bg-warning">Card B</div>
				<div class="py-5 px-5 p-3 bg-danger">Card C</div>
			</div>
			<!-- End of Creating Elements Between Two Spaces -->

	<h2>Flex Box With Margin</h2>
			<div class="d-flex bg-dark p-3 mb-3 flex-row d-flex flex-lg-row flex-sm-row">
			  <div class="py-5 px-5 mr-auto p-2 bd-highlight p-2 bg-success bd-highlight">Fixed Item A</div>
			  <div class="py-5 px-5 p-2  bg-warning bd-highlight">Fixed Item B</div>
			  <div class="py-5 px-5 p-2 bg-danger bd-highlight">Fixed Item C</div>
			  <div class="py-5 px-5 p-2 bg-primary bd-highlight">Fixed Item D</div>
			</div>
	<h2>Nested</h2>
			<div class="bg-dark p-3 mb-3 d-md-flex justify-content-between">
			  <div class="py-5 px-5 mr-auto p-2 bd-highlight bg-success bd-highlight">Fixed Item A</div>

			  	<div class="w-50 justify-content-between d-md-flex">
				  <div class="py-5 px-5 bg-warning bd-highlight ">Fixed Item B</div>
				  <div class="py-5 px-5 p-2 bg-danger bd-highlight">Fixed Item C</div>
				  <div class="py-5 px-5 p-2 bg-primary bd-highlight">Fixed Item D</div>
				</div>
		</div>




















<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>